API reference / YouTube / Channel sections list
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
1 credit per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/channelSections
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Comma-separated: id, snippet or contentDetails. For example: snippet,contentDetails |
channelIdoptional |
string | Channel whose sections to retrieve (provide channelId or id). For example: UC_x5XG1OV2P6uZZ5FSM9Ttw |
idoptional |
string | Comma-separated channel section IDs (provide channelId or id). |
Code examples
Example response
{
"etag": "oghhgcbb2C_C_6s8MWSKObejd4E",
"kind": "youtube#channelSectionListResponse",
"items": [
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.jNQXAC9IVRw",
"etag": "v6KvpTOEAW9JFehN8c9zR7zUUBo",
"kind": "youtube#channelSection",
"snippet": {
"type": "singleplaylist",
"position": 0,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
},
"contentDetails": {
"playlists": [
"PLOU2XLYxmsILZpGc5gWRO1vL0n9CtcPJL"
]
}
},
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.LeAltgu_pbM",
"etag": "21oBsmUkTERfRGGjdbv1PvKT9f8",
"kind": "youtube#channelSection",
"snippet": {
"type": "singleplaylist",
"position": 1,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
},
"contentDetails": {
"playlists": [
"PLOU2XLYxmsILW9WPRNDoIc00hM8wTO2KW"
]
}
},
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.nGzAI5pLbMY",
"etag": "RG7IrLFspen-O38HCN4JguAAVgY",
"kind": "youtube#channelSection",
"snippet": {
"type": "singleplaylist",
"position": 2,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
},
"contentDetails": {
"playlists": [
"PLOU2XLYxmsIKfqoxytJ70EOjSVexbqbtc"
]
}
},
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.__WLXNpu6u8",
"etag": "NA9zmBXhXD7doWHW30CV9bICJ-o",
"kind": "youtube#channelSection",
"snippet": {
"type": "singleplaylist",
"position": 3,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
},
"contentDetails": {
"playlists": [
"PLOU2XLYxmsILPSnN-a3unnIhC-aSITPtY"
]
}
},
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.Zx4DA4xg9IM",
"etag": "gAlHti9Pi0Qrlso4GyNRYvASBnE",
"kind": "youtube#channelSection",
"snippet": {
"type": "singleplaylist",
"position": 4,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
},
"contentDetails": {
"playlists": [
"PLOU2XLYxmsILjV1uxlO218NglwaSiqhFA"
]
}
},
{
"id": "UC_x5XG1OV2P6uZZ5FSM9Ttw.MykmTeTiooA",
"etag": "gghoFX55YW4i3bNGwPbfN72rb0Q",
"kind": "youtube#channelSection",
"snippet": {
"type": "channelsectiontypeundefined",
"position": 5,
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw"
}
}
]
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Channel sections list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channels list
Read-only YouTube Data API v3 channels list endpoint.
/api/v1/youtube/channels
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
/api/v1/youtube/i18nLanguages
1 credit / call
GET
Internationalization regions list
Read-only YouTube Data API v3 i18nRegions list endpoint.
/api/v1/youtube/i18nRegions
1 credit / call